---
layout: mockup
title: "Desktop Zoom"
theme: Adwaita/Adwaita.css
permalink: settings/accessibility/zoom/
wallpaper: adwaita
category: "Accessibility"
root: accessibility-root
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/{{ page.root }}">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton" href="{{ site.baseurl }}/settings/network">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">{{ page.category }}</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsAccessibilitySidebar" class="sidebar">
		{%- for item in site.data.settings-accessibility-sidebar -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<div class="row">
				<p>Zoom magnifies portions of or the entire screen.</p>
				<ul class="listrow">
					<li>
						<label>Zoom</label>
						{%- include components/switch.html float = "right" onclick = "$('.zoomMagnificationOption').removeClass('insensitive');"-%}
					</li>
				</ul>
			</div>
			<!-- Magnifier -->
			<div class="row">
				<h5>Magnifier</h5>
				<ul class="listrow">
					<li>
						<label>Magnification Level</label>
						<div id="magnificationLevelPercent" class="float-right">%</div>
						<input type="number" class="entry float-right text-right" min="100" max="1000" value="200" id="magnificationLevelValue">
						<style type="text/css">
							#magnificationLevelValue {
								padding-right: 20px;
							}
							#magnificationLevelPercent{
								width: 20px;
								position: relative;
								margin-left: -20px;
							}
						</style>
					</li>
					<li>
						<label>Extend Beyond Screen</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li class="">
						<label>Follow Mouse Cursor</label>
						{%- include components/switch.html float = "right" checked = "" onclick = "$('.zoomCursorOption').toggleClass('insensitive');"-%}
					</li>
					<li class="zoomCursorOption" id="zoomCursorPopover">
						<label>Magnifier Cursor</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="zoomCursorStatus">Keep Centered</label>
					</li>
					<li class="zoomCursorOption" id="zoomScreenPartPopover">
						<label>Screen Part</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="zoomScreenPartStatus">Full Screen</label>
					</li>
				</ul>
			</div>
			<!-- Crosshairs -->
			<div class="row">
				<h5>Crosshairs</h5>
				<ul class="listrow">
					<li>
						<label>Crosshairs</label>
						{%- include components/switch.html float = "right" onclick = "$('.zoomCrosshairsOption').toggleClass('insensitive');"-%}
					</li>
					<li class="zoomCrosshairsOption insensitive">
						<label>Overlap Mouse Cursor</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li class="zoomCrosshairsOption insensitive">
						<label>Thickness</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="zoomCrosshairsThicknessScale">
					</li>
					<li class="zoomCrosshairsOption insensitive">
						<label>Length</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="zoomCrosshairsLengthScale">
					</li>
					<li class="zoomCrosshairsOption insensitive">
						<label>Color</label>
						<a class="button text-button float-right">Red</a>
					</li>
				</ul>
			</div>
			<!-- Color Effects -->
			<div class="row">
				<h5>Color Effects</h5>
				<ul class="listrow">
					<li>
						<label>White on Black</label>
						{%- include components/switch.html float = "right" checked = "" -%}
					</li>
					<li>
						<label>Brightness</label>
						<input class="float-right" type="range" min="1" max="100" value="50" id="zoomColorBrightnessScale">
					</li>
					<li>
						<label>Contrast</label>
						<input class="float-right" type="range" min="1" max="100" value="50" id="zoomColorContrastScale">
					</li>
					<li>
						<label>Color</label>
						<input class="float-right" type="range" min="1" max="100" value="100" id="zoomColorColorScale">
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsAccessibilitySidebar a:nth-of-type(5) li').addClass("active");});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul class="scrollbox">',
			'<li onclick="zoomCursor($(this).text());">Keep Centered</li>',
			'<li onclick="zoomCursor($(this).text());">Pushes Content</li>',
			'<li onclick="zoomCursor($(this).text());">Moves With Content</li>',
		'</ul>'].join('');

	$('#zoomCursorPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function zoomCursor() {
	$('#zoomCursorStatus').text(arguments[0]);
	$("#zoomCursorPopover").popover("hide");
}

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul class="scrollbox">',
			'<li onclick="zoomScreenPart($(this).text());">Full Screen</li>',
			'<li onclick="zoomScreenPart($(this).text());">Top Half</li>',
			'<li onclick="zoomScreenPart($(this).text());">Bottom Half</li>',
			'<li onclick="zoomScreenPart($(this).text());">Left Half</li>',
			'<li onclick="zoomScreenPart($(this).text());">Right Half</li>',
		'</ul>'].join('');

	$('#zoomScreenPartPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function zoomScreenPart() {
	$('#zoomScreenPartStatus').text(arguments[0]);
	$("#zoomScreenPartPopover").popover("hide");
}
</script>